Subject: RE: Refresh Reduction

From: Sreedhar Reddy <[email-masked]>
Date: Mon, 11 Feb 2002 14:08:39 +0530

Hi,
As per RFC :
1) MESSAGE_ID and MESSAGE_ID_ACK objects are used to support
acknowledgements and reliable RSVP message delivery. And MESSAGE_ID_NACK is
used to support summary refresh extensions.

2) MESSAGE_ID_ACK and MESSAGE_ID_NACK may be sent piggybacked in unrelated
RSVP messages OR RSVP Ack messages.

   So the MESSAGE_ID object can be used for reliable delivery of SRefresh
messages and MESSAGE_ID_ACK and MESSAGE_ID_NACK  objects for
acknowledgements piggybacked in SRefresh message( Acknowledgement for
messages which are not of type refresh only makes sense in this case).

Correct me if I am wrong.
Sreedhar

> ----------
> From: 	Manoj Agiwal[SMTP:[email-masked]]
> Sent: 	Friday, February 08, 2002 5:51 PM
> To: 	[email-masked]'; [email-masked]'
> Cc: 	[email-masked]'
> Subject: 	RE: Refresh Reduction
> 
> Hi  Ben ,
>    Summary refresh message format is
> 
>    The Srefresh message format is:
> 
>    <Srefresh Message> ::= <Common Header> [ <INTEGRITY> ]
>                          [ [<MESSAGE_ID_ACK> | <MESSAGE_ID_NACK>] ... ]
>                          [ <MESSAGE_ID> ]
>                          <srefresh list> | <source srefresh list>
> 
>    <srefresh list> ::= <MESSAGE_ID LIST> | <MESSAGE_ID MCAST_LIST>
>                          [ <srefresh list> ]
> 
>    <source srefresh list> ::= <MESSAGE_ID SRC_LIST>
>                                 [ <source srefresh list> ]
> 
> What I think you are talking about is Message ID which one receives in
> MESSAGE_ID LIST .
> What I wanted to know was the use of MESSAGE_ID  in 
> 
>    <Srefresh Message> ::= <Common Header> [ <INTEGRITY> ]
>                          [ [<MESSAGE_ID_ACK> | <MESSAGE_ID_NACK>] ... ]
>                          [ <MESSAGE_ID> ]
>                          <srefresh list> | <source srefresh list>
> Regards ,
> Manoj
> 
> 
> 
> 
> > ----------
> > From: 	[email-masked][SMTP:[email-masked]]
> > Sent: 	Friday, February 08, 2002 5:17 PM
> > To: 	Manoj Agiwal
> > Cc: 	[email-masked]'; [email-masked]'
> > Subject: 	Re: Refresh Reduction
> > 
> > 
> > Hello Manoj,
> > 
> > The Srefresh message is used to refresh Resv state and Path state of the
> > LSP tunnels.  This is accomplished by referencing the Path and Resv
> > messages by their associated MESSAGE_ID objects.
> > 
> > I would suggest processing these objects to maintain state.  If a
> > MESSAGE_ID object stops appearing in a Srefresh message I think that it
> > should be timed out and the LSP torn down.
> > 
> > Please let me know if I am wrong.
> > 
> > Thanks,
> > -Ben
> > 
> > On Fri, 8 Feb 2002, Manoj Agiwal wrote:
> > 
> > > Hi ,
> > >     Why there is a Message ID Object in the SRefresh message .
> > >  Will there be any processing based on this message ID .
> > > Regards ,
> > > Manoj
> > >
> > >
> > 
>